#include "icon.h"



#include "../XPM/recycler_empty.xpm"
#include "../XPM/recycler_full.xpm"

extern Display 	*dpy;
extern Widget 	toplevel,form2;
extern char	pixmapPath[];
extern Pixmap	file;

static Pixmap	EmptyTrashIcon,EmptyTrashMask;
static Pixmap	FullTrashIcon,FullTrashMask;
extern Window 	IconWindow;
static int 	LastFlag;

void ReadIcons(void)
{
	XSetWindowAttributes attributes;
	unsigned long valuemask=0;
	Window win=DefaultRootWindow(dpy);
	int Width=48,Height=48;
	int scrn=DefaultScreen(dpy);
	int dpth=XDefaultDepth(dpy,scrn);
	XpmAttributes xpmattributes;
	
	IconWindow=XCreateWindow(dpy,win,0,0,Width,Height,0,CopyFromParent,CopyFromParent,CopyFromParent,valuemask,&attributes);

	xpmattributes.depth=dpth;
	xpmattributes.valuemask=XpmSize | XpmDepth;
	XpmCreatePixmapFromData(dpy,win,trash,&EmptyTrashIcon,&EmptyTrashMask,&xpmattributes);
	XpmCreatePixmapFromData(dpy,win,trash_full,&FullTrashIcon,&FullTrashMask,&xpmattributes);
}

void UpdateIcon(int Flag)
{
	Pixmap *icon,*mask;
	
	LastFlag=Flag;
	if(Flag) { icon=&FullTrashIcon;  mask=&FullTrashMask; }
	else	 { icon=&EmptyTrashIcon; mask=&EmptyTrashMask; }

	XShapeCombineMask(dpy,IconWindow,ShapeBounding,0,0,*mask,ShapeSet);
	XSetWindowBackgroundPixmap(dpy,IconWindow,*icon);
	XClearWindow(dpy,IconWindow);
}
